curl --request GET \
--url https://api.aisa.one/apis/v1/brave/local/descriptions \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.aisa.one/apis/v1/brave/local/descriptions"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.aisa.one/apis/v1/brave/local/descriptions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.aisa.one/apis/v1/brave/local/descriptions",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.aisa.one/apis/v1/brave/local/descriptions"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.aisa.one/apis/v1/brave/local/descriptions")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.aisa.one/apis/v1/brave/local/descriptions")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"type": "local_descriptions",
"results": [
{
"id": "<string>",
"type": "local_description",
"description": "<string>"
}
]
}POI Descriptions
curl --request GET \
--url https://api.aisa.one/apis/v1/brave/local/descriptions \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.aisa.one/apis/v1/brave/local/descriptions"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.aisa.one/apis/v1/brave/local/descriptions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.aisa.one/apis/v1/brave/local/descriptions",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.aisa.one/apis/v1/brave/local/descriptions"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.aisa.one/apis/v1/brave/local/descriptions")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.aisa.one/apis/v1/brave/local/descriptions")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"type": "local_descriptions",
"results": [
{
"id": "<string>",
"type": "local_description",
"description": "<string>"
}
]
}Request contract
- Method and path: GET /apis/v1/brave/local/descriptions
- Availability: enabled
- Request URL template: https://api.aisa.one/apis/v1/brave/local/descriptions
- accept: header; optional
- api-version: header; optional
- cache-control: header; optional
- user-agent: header; optional
- ids: query; required
- Runtime facts: 8627d7bc05db287888574873d586ce7dca25f9fa7b4a266cb71760e824597bfc
{
"operationId": "any_brave_search_apis_v1_brave_local_descriptions",
"method": "GET",
"path": "/apis/v1/brave/local/descriptions",
"servers": [
{
"url": "https://api.aisa.one"
}
],
"parameters": [
{
"name": "accept",
"in": "header",
"required": false,
"description": "The default supported media type is application/json.",
"schema": {
"allOf": [
{
"type": "string",
"enum": [
"application/json",
"*/*"
],
"title": "Accept"
},
{
"default": "application/json"
}
],
"title": "Media type",
"description": "The default supported media type is application/json.",
"examples": [
"application/json"
]
},
"deprecated": false,
"examples": {
"0": {
"value": "application/json"
}
}
},
{
"name": "api-version",
"in": "header",
"required": false,
"description": "The API version to use. This is denoted by the format <code>YYYY-MM-DD</code>. Default is the latest that is available. Read more about <a href=\"/documentation/guides/versioning\">API versioning</a>.",
"schema": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
],
"title": "API version",
"description": "The API version to use. This is denoted by the format <code>YYYY-MM-DD</code>. Default is the latest that is available. Read more about <a href=\"/documentation/guides/versioning\">API versioning</a>."
},
"deprecated": false
},
{
"name": "cache-control",
"in": "header",
"required": false,
"description": "Brave Search will return cached content by default. To prevent caching set the Cache-Control header to <code>no-cache</code>. This is currently done as best effort.",
"schema": {
"anyOf": [
{
"type": "string",
"enum": [
"no-cache"
],
"const": "no-cache",
"title": "CacheControl"
},
{
"type": "null"
}
],
"title": "Cache control",
"description": "Brave Search will return cached content by default. To prevent caching set the Cache-Control header to <code>no-cache</code>. This is currently done as best effort."
},
"deprecated": false
},
{
"name": "user-agent",
"in": "header",
"required": false,
"description": "The user agent originating the request. Brave search can utilize the user agent to provide a different experience depending on the device as described by the string. The user agent should follow the commonly used browser agent strings on each platform. For more information on curating user agents, see <a href=\"https://www.rfc-editor.org/rfc/rfc9110.html#name-user-agent\">RFC 9110</a>.",
"schema": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
],
"title": "User agent",
"description": "The user agent originating the request. Brave search can utilize the user agent to provide a different experience depending on the device as described by the string. The user agent should follow the commonly used browser agent strings on each platform. For more information on curating user agents, see <a href=\"https://www.rfc-editor.org/rfc/rfc9110.html#name-user-agent\">RFC 9110</a>."
},
"deprecated": false,
"examples": {
"Android": {
"value": "Mozilla/5.0 (Linux; Android 12) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/103.0.5060.71 Mobile Safari/537.36",
"description": "Android"
},
"iOS": {
"value": "Mozilla/5.0 (iPhone; CPU iPhone OS 15_5 like Mac OS X) AppleWebKit/605.1.15 (KHTML, like Gecko) CriOS/103.0.5060.63 Mobile/15E148 Safari/604.1",
"description": "iOS"
},
"macOS": {
"value": "Mozilla/5.0 (Macintosh; Intel Mac OS X 12_4) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/103.0.0.0 Safari/537.36",
"description": "macOS"
},
"Windows": {
"value": "Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/103.0.0.0 Safari/537.36",
"description": "Windows"
}
}
},
{
"name": "ids",
"in": "query",
"required": true,
"description": "A list of unique identifiers for the location. The ids are valid only for 8 hours.",
"schema": {
"type": "array",
"items": {
"type": "string"
},
"minItems": 1,
"maxItems": 20,
"description": "A list of unique identifiers for the location. The ids are valid only for 8 hours.",
"title": "Ids"
},
"deprecated": false
}
],
"security": [
{
"bearerAuth": []
}
],
"x-aisa-status": "enabled",
"x-aisa-pricing": {
"cost_contract": "fixed_success",
"customer_multiplier": 1.0,
"customer_pricing": "provider_cost_multiplier",
"default_request_estimate_usd": 0.005,
"estimate_source": "profile_seed",
"evidence_source": "request_snapshot"
},
"components": {
"securitySchemes": {
"bearerAuth": {
"scheme": "bearer",
"type": "http"
}
}
}
}
Cost and request rules
Published reference price: $0.005 USD per successful request. Account-specific pricing and final settlement may differ. Published reference values are not an account-specific quote or a settled charge. For endpoints supporting X-AISA-Cost-Mode: quote, obtain a free quote for your exact request before execution; reconcile the settled cost with response metadata and Usage Logs. USD amounts use 1,000,000 integer micro-USD per dollar.- Default request reference estimate (USD): 0.005
- Cost contract: fixed_success
- Published reference multiplier: 1.0
- Settlement evidence source: request_snapshot
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
The default supported media type is application/json.
application/json, */* "application/json"
The API version to use. This is denoted by the format YYYY-MM-DD. Default is the latest that is available. Read more about API versioning.
Brave Search will return cached content by default. To prevent caching set the Cache-Control header to no-cache. This is currently done as best effort.
no-cache "no-cache"The user agent originating the request. Brave search can utilize the user agent to provide a different experience depending on the device as described by the string. The user agent should follow the commonly used browser agent strings on each platform. For more information on curating user agents, see RFC 9110.
Query Parameters
A list of unique identifiers for the location. The ids are valid only for 8 hours.
1 - 20 elementsResponse
Successful Response
local_descriptions "local_descriptions"The list of location descriptions for the given location identifiers.
AI generated description of a location result.
Show child attributes
Show child attributes